/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス<br>
 * ファイル定義[BlancoNLpackGeneratorOmitPhraseList/blancoNLpackGenerator が「処理しない」対象フレーズをあらわすCSVファイル。]のレコードクラス
 */
public class BlancoNLpackGeneratorOmitPhraseListCsvRecord {
    /**
     * フィールド [Phrase]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: Phrase<br>
     * 必須項目
     */
    private String fPhrase;

    /**
     * フィールド [Reason]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Reason
     */
    private String fReason;

    /**
     * フィールド [Phrase]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: Phrase<br>
     * 必須項目
     *
     * @param argPhrase フィールド[Phrase]に格納したい値
     */
    public void setPhrase(final String argPhrase) {
        fPhrase = argPhrase;
    }

    /**
     * フィールド[Phrase]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: Phrase<br>
     * 必須項目
     *
     * @return フィールド[Phrase]に格納されている値
     */
    public String getPhrase() {
        return fPhrase;
    }

    /**
     * フィールド [Reason]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Reason
     *
     * @param argReason フィールド[Reason]に格納したい値
     */
    public void setReason(final String argReason) {
        fReason = argReason;
    }

    /**
     * フィールド[Reason]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Reason
     *
     * @return フィールド[Reason]に格納されている値
     */
    public String getReason() {
        return fReason;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorOmitPhraseListCsvRecord[");
        buf.append("Phrase=" + fPhrase);
        buf.append(",Reason=" + fReason);
        buf.append("]");
        return buf.toString();
    }
}
